Bug 429099 - pyjigdo doesn't recognize filename for existing media if it has special characters
pyjigdo doesn't recognize filename for existing media if it has special chara...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: pyjigdo (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-17 05:32 EST by Andre Robatino
Modified: 2008-05-01 09:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-26 14:26:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Robatino 2008-01-17 05:32:35 EST
Description of problem:
  When pyjigdo prompts for a existing media path to scan for files, it can't
handle embedded special characters, including spaces, which are typical for the
Fedora install discs.  To work around this, it's necessary to create a symlink
which points to the media which itself does not contain the special characters,
and specify that.  The capability to selectively scan specific directories under
/media is important if one has large volumes such as hot-pluggable hard drives
already mounted under /media and wishes to avoid wasting time scanning those. 
For example, with the Fedora 8 i386 DVD mounted under /media/Fedora\ 8\ i386\
DVD/, one has to create a symlink like the following:

ln -s /media/Fedora\ 8\ i386\ DVD/ /tmp/f8dvd

Then, when running pyjigdo,

[andre@localhost tmp]$ pyjigdo --jigdo
http://jigdo.fedoraunity.org/templates/Fedora-8-CD/Fedora-8-CD.jigdo
Fetching http://jigdo.fedoraunity.org/templates/Fedora-8-CD/Fedora-8-CD.jigdo...
Fedora-8-CD.jigdo         100% |=========================| 555 kB    00:02     
Reading jigdo configuration...
Would you like to scan any directories for needed files? [y/N] y
What directory would you like to scan? /media/Fedora\ 8\ i386\ DVD/
Directory /media/Fedora\ 8\ i386\ DVD not accessable, will not scan.
Would you like to add another directory to scan? [y/N] y
What directory would you like to scan? /tmp/f8dvd
Currently going to scan directories: /tmp/f8dvd
Would you like to add another directory to scan? [y/N]

Version-Release number of selected component (if applicable):
pyjigdo-0.2-3.fc8

How reproducible:
always

Additional info:
jigdo-lite has the exact same problem as reported in bug #426847 - the
commentary there applies here also.
Comment 1 Jeroen van Meeuwen 2008-01-24 09:32:47 EST
Will look into this
Comment 2 Jonathan Steffan 2008-03-26 14:26:15 EDT
I've added a bug to fix this on 1.0rc.

https://fedorahosted.org/pyjigdo/ticket/27
Comment 3 Andre Robatino 2008-05-01 00:03:49 EDT
The latest version pyjigdo-0.3.0-1.fc8 appears to work properly, at least as far
as fixing this bug.  I tested it by automounting the Fedora 8 i386 DVD and then
creating the 5 Fedora 8 i386 CD ISOs with the command

pyjigdo
--jigdo=http://jigdo.fedoraunity.org/templates/Fedora-8-CD/Fedora-8-CD.jigdo
--scan-dir=/media/Fedora\ 8\ i386\ DVD/

It was able to read the DVD and create CDs 2 through 5.  It failed with CD 1
with the following errors:

The following downloads failed:
Download of Filename: images/xen/initrd.img Repo: Fedora-8-i386 Target Location:
/tmp/pyjigdo-data failed.
Download of Filename: images/xen/initrd.img Repo: Fedora-8-i386 Target Location:
/tmp/pyjigdo-data failed.
Checking image Fedora-8-i386-CD1.iso ...
Image Fedora-8-i386-CD1.iso failed to complete. Try running pyjigdo again.

But this may just be a bad server.  By the way, the only documentation is to
type "pyjigdo --help".  There is a 20-byte file where the pyjigdo man page is
supposed to be.

Comment 4 Jeroen van Meeuwen 2008-05-01 09:29:04 EDT
Thanks for confirming the original issue fixed. The man page has been created,
but has not been included in any release yet.

Note You need to log in before you can comment on or make changes to this bug.